## helma.scripting
Class ScriptingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              helma.scripting.ScriptingException

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptingException

extends java.lang.Exception

The base class for wrapped exceptions thrown by invocation of the scripting engine. If the wrapped exception is a RhinoException, the script stack trace will be prepended to the actual java stack trace in stack dumps.

See Also:
  Serialized Form

Constructor Summary
`ScriptingException(java.lang.String message, java.lang.Throwable cause)` Construct a ScriptingException given an error message and wrapped exception.

Method Summary
`java.lang.String` `getJavaStackTrace()` Get the java stack trace.
`java.lang.String` `getScriptStackTrace()` Get the script stack, or null if none is available
`void` `printStackTrace(java.io.PrintStream s)`
`void` `printStackTrace(java.io.PrintWriter s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptingException

    public ScriptingException(java.lang.String message,
                              java.lang.Throwable cause)

  Construct a ScriptingException given an error message and wrapped exception.

  Parameters:
    `message` - the message
    `cause` - the original exception

Method Detail

### getScriptStackTrace

    public java.lang.String getScriptStackTrace()

  Get the script stack, or null if none is available

  Returns:
    the script stack trace

### getJavaStackTrace

    public java.lang.String getJavaStackTrace()

  Get the java stack trace.

  Returns:
    the java stack trace

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.